import urllib.parse
import urllib.request
from datetime import datetime

from bs4 import BeautifulSoup


encText = urllib.parse.quote("환율")
url = "https://search.naver.com/search.naver?where=nexearch&sm=top_hty&fbm=1&ie=utf8&query=" + encText
request = urllib.request.Request(url)
response = urllib.request.urlopen(request)
res_code = response.getcode()
if res_code == 200:
    response_body = response.read()
    soup = BeautifulSoup(response_body, 'html.parser')
    exchange = soup.select_one(
        '#_cs_foreigninfo > div > div.api_cs_wrap > div > div.c_rate > div.rate_bx'
        ' > div.rate_spot._rate_spot > div.rate_tlt > h3 > a > span.spt_con.up > strong')
    dt_fmt = (datetime.today()).strftime("%Y-%m-%d")
    f = open("./" + dt_fmt + "_[" + exchange.text + '].txt', 'w', encoding="UTF-8")
    f.close()